Name:           prewikka
Version:        5.2.0
Release:        %mkrel 7
Summary:        Graphical front-end analysis console for the Prelude Framework
License:        GPLv2+
Group:          Networking/Other
URL:            https://www.prelude-siem.org/
Source0:        https://www.prelude-siem.org/pkg/src/5.1.0/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(babel)
BuildRequires:  python3dist(lesscpy)
BuildRequires:  python3dist(setuptools)

Requires:       python3dist(babel)
Requires:       python3dist(croniter)
Requires:       python3dist(mako)
Requires:       python3dist(prelude) >= 5.1.0
Requires:       python3dist(preludedb) >= 5.1.0
Requires:       python3dist(python-dateutil)
Requires:       python3dist(pytz)
Requires:       python3dist(pyyaml)
Requires:       python3dist(werkzeug)

%description
Prewikka is the graphical front-end analysis console for the
Prelude SIEM. Providing numerous features, Prewikka
facilitates the work of users and analysts. It provides alert
aggregation and sensor and heartbeat views, and has configurable
filters. Prewikka also provides access to external
tools such as whois and traceroute.

%prep
%setup -q

%build
%py3_build

%install
# We have to use this because py3_install do other things and siteconfig.py
# will be not installed
%{__python3} setup.py install -O1 --root=%{buildroot}

mkdir -p %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/%{name}-httpd %{buildroot}%{_sbindir}/%{name}-httpd

# Language files; not under /usr/share/locale, need to be handled manually
(cd %{buildroot} && find . -name 'prewikka.mo') | sed -e 's|^.||' | sed -e \
  's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
  >> %{name}.lang

%files -f %{name}.lang
%doc AUTHORS NEWS README
%license COPYING
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/conf.d
%attr(0640,root,root) %config(noreplace)%{_sysconfdir}/%{name}/%{name}.conf
%attr(0640,root,root) %config(noreplace)%{_sysconfdir}/%{name}/menu.yml
%attr(0640,root,root) %config(noreplace)%{_sysconfdir}/%{name}/conf.d/auth.conf
%attr(0640,root,root) %config(noreplace)%{_sysconfdir}/%{name}/conf.d/external_app.conf
%attr(0640,root,root) %config(noreplace)%{_sysconfdir}/%{name}/conf.d/logs.conf
%attr(0640,root,root) %config(noreplace)%{_sysconfdir}/%{name}/conf.d/riskoverview.conf
%{_bindir}/%{name}-cli
%{_bindir}/%{name}-crontab
%{_sbindir}/%{name}-httpd
%{_datadir}/%{name}/
# list some files explicitly to avoid listing locale files twice
%dir %{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}/auth/
%{python3_sitelib}/%{name}/compat/
%{python3_sitelib}/%{name}/dataprovider/
%{python3_sitelib}/%{name}/htdocs/
%{python3_sitelib}/%{name}/plugins/
%{python3_sitelib}/%{name}/renderer/
%{python3_sitelib}/%{name}/session/
%{python3_sitelib}/%{name}/sql/
%{python3_sitelib}/%{name}/templates/
%{python3_sitelib}/%{name}/utils/
%{python3_sitelib}/%{name}/views/
%{python3_sitelib}/%{name}/web/
%{python3_sitelib}/%{name}/*.py*
%{python3_sitelib}/%{name}/__pycache__/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Dec 24 2024 daviddavid <daviddavid> 5.2.0-7.mga10
+ Revision: 2129847
- remove unaivalable argparse build dependency

* Thu Dec 28 2023 daviddavid <daviddavid> 5.2.0-6.mga10
+ Revision: 2022752
- rebuild for py3.12
+ papoteur <papoteur>
- Mass Rebuild - Python 3.12

* Sun Mar 27 2022 umeabot <umeabot> 5.2.0-4.mga9
+ Revision: 1829390
- Mageia 9 Mass Rebuild

* Sun Feb 27 2022 mrambo3501 <mrambo3501> 5.2.0-3.mga9
+ Revision: 1785914
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 5.2.0-2.mga9
+ Revision: 1707594
- rebuild for python 3.9

* Fri Sep 18 2020 daviddavid <daviddavid> 5.2.0-1.mga8
+ Revision: 1628577
- new version: 5.2.0

* Tue Feb 18 2020 umeabot <umeabot> 5.1.1-2.mga8
+ Revision: 1538211
- Mageia 8 Mass Rebuild

* Sat Nov 16 2019 daviddavid <daviddavid> 5.1.1-1.mga8
+ Revision: 1461027
- new version: 5.1.1

* Mon Oct 21 2019 daviddavid <daviddavid> 5.1.0-1.mga8
+ Revision: 1454838
- new version: 5.1.0

* Sun Sep 15 2019 daviddavid <daviddavid> 5.0.2-2.mga8
+ Revision: 1441324
- port to Python 3

* Sun Feb 24 2019 daviddavid <daviddavid> 5.0.2-1.mga7
+ Revision: 1369828
- new version: 5.0.2

* Thu Sep 20 2018 umeabot <umeabot> 4.1.5-2.mga7
+ Revision: 1288058
- Mageia 7 Mass Rebuild

* Sat Jan 13 2018 daviddavid <daviddavid> 4.1.5-1.mga7
+ Revision: 1192766
- new version: 4.1.5
- fix lesscpy python2 binary thus fixing build

* Tue Oct 24 2017 daviddavid <daviddavid> 4.0.0-3.mga7
+ Revision: 1173298
- add some missing dependencies

* Wed Oct 04 2017 daviddavid <daviddavid> 4.0.0-2.mga7
+ Revision: 1168542
- add missing BR on pythonegg(2)(babel) to fix build

* Sat Sep 23 2017 daviddavid <daviddavid> 4.0.0-1.mga7
+ Revision: 1157810
- new version: 4.0.0
- update description

* Sat Oct 15 2016 daviddavid <daviddavid> 3.1.0-1.mga6
+ Revision: 1060962
- imported package prewikka

